Get List Assessment Report

You can now fetch the list of all the assessment reports in your account.

GET  /rest/v1/report/assessment/list

Input ParametersInput Parameters

Parameter

Mandatory

Data Type

Description

createdBy

 Mandatory String

Use values to find reports created by a certain user.

pageNo

 Optional Integer

The page to be returned.

pageSize

 Optional Integer

The number of records per page to be included in the response.

reportName

 Optional String

Name of the report.

sortBy

 Optional String

Specify the field that decides the sort order for the rules.

reportId

 Optional  String

Specify the unique Id associated with the report.

status

 Optional  String

Specify the report status from Accepted, Completed, Failed, Generated, Processing.

Sample - Get list of assessment reportsSample - Get list of assessment reports

API request

    
      curl -k -X GET-u <username>:<password>
'<qualys_base_url>/cloudview-api/rest/v1/report/assessment/list?pageNo=1&pageSize=50
      

Response

    
      {
    "reportName": "Assessment Report in PDF",
    "status": "COMPLETED",
    "fileFormat": "pdf",
    "createdAt": "2021-01-25T06:04:27.000Z",
    "createdBy": "<username>",
    "templateName": "Assessment Report",
    "reportType": "On-Demand",
    "expiresOn": "2021-02-02",
    "reportId": "2e383cc0-5ed3-11eb-ac38-9b1adcf6e2ef"
}